wxWidgets: wxHtmlTagsModule Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxHtmlTagsModule Class Reference
Class List by Category » HTML

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.i686/src/wxWidgets-3.0.4/interface/wx/html/winpars.h>`

Inheritance diagram for wxHtmlTagsModule:
[legend]

## Detailed Description

This class provides easy way of filling wxHtmlWinParser's table of tag handlers.

It is used almost exclusively together with the set of TAGS_MODULE_* macros

##

Library: wxHTML

<>< =''>:</>&;&;< =''>\ </></>

See also
  Tag Handlers, wxHtmlTagHandler, wxHtmlWinTagHandler

## Public Member Functions
virtual void | FillHandlersTable (wxHtmlWinParser *parser)
| You must override this method. More...
Public Member Functions inherited from wxModule
| wxModule ()
| Constructs a wxModule object. More...
virtual | ~wxModule ()
| Destructor. More...
virtual void | OnExit ()=0
| Provide this function with appropriate cleanup for your module. More...
virtual bool | OnInit ()=0
| Provide this function with appropriate initialization for your module. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxModule
void | AddDependency (wxClassInfo *dep)
| Call this function from the constructor of the derived class. More...
void | AddDependency (const char *classname)
| Call this function from the constructor of the derived class. More...
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Member Function Documentation

## ◆ FillHandlersTable()

virtual void wxHtmlTagsModule::FillHandlersTable | ( | wxHtmlWinParser * | parser | ) |
| virtual

You must override this method.

In most common case its body consists only of lines of the following type:

parser -> AddTagHandler(new MyHandler);

It's recommended to use the TAGS_MODULE_* macros.

Parameters

  parser | Pointer to the parser that requested tables filling.